Skip to content
Permalink
Branch: master
Find file Copy path
Find file Copy path
Fetching contributors…
Cannot retrieve contributors at this time
117 lines (97 sloc) 4.75 KB

xTuple Release Notes

Version 4.9.2 * October, 2015

These are the release notes for the 4.9.2 xTuple ERP release. Thanks to all who contributed to make this release possible. For more information about deploying this release, please see below.

Note: You will need the plv8 extension to PostgreSQL to upgrade and use this release. See our github wiki for more information on how to install plv8 and a blog post describing plv8 and why we introduced this new dependency.

Bug fixes

The xTuple ERP 4.9.2 release fixes a number of bugs in the xTuple ERP desktop application.

Desktop Application

  • Fixed issue #26190 Cannot create new Fiscal Periods
  • Implemented issue #26434 Authorize.Net Networking Change
  • Fixed issue #26436 Authorize.net complaint During CC processing
  • Fixed issue #26463 *Ship Order Screen Check Boxes
  • Fixed issue #26513 Error converting quote in 4.9.1
  • Fixed issue #26539 4.9.1 - Can't convert Propects to Customers
  • Fixed issue #26552 New Project Opens with data
  • Fixed issue #26588 xTuple Windows client performance (replaces #26561)
  • Fixed issue #26601 *Fatal error on createLotSerial Screen (replaces #26560)
  • Fixed issue #26610 *UOM Conversion error on Quote items
  • Fixed issue #26623 490 Pop Up Warning CVV issue (replaces #26515)

Deployment Notes

We've lately revised the naming conventions and the behavior of our core updater packages. Our overall goal is to simplify the process of installing and upgrading xTuple ERP databases.

Just as was true for the 4.4.1 release, you will only need to apply one updater package to upgrade to the latest release--that is, assuming you are already running on at least 4.4.0. The new updater packages are designed to bring you all the way up to their version, no matter what version (>= 4.4.0!) that you're on.

Beginning with 4.5.0, we even went a step further: not only will a single package take you through every version of the app, it will also install all the constituent parts of your edition. Before now, if you wanted to do an upgrade to the Manufacturing or Enterprise Editions, you would have needed to perform the standard/dist upgrade and then the manufacturing upgrade. Not any more. With the new process, only one upgrade package is needed for the entire upgrade. No more upgrading the core and then upgrading the related packages. Everything is upgraded all at once.

NOTE FOR DISTRIBUTION EDITION CUSTOMERS: The xwd package no longer exists as a separate entity. All the functionality that was contained in the xwd package is now included in the single "distribution" upgrade or install package.

To be verbose about all of this:

postbooks-upgrade-491.gz will:
upgrade a PostBooks database from anywhere >= 4.4.0 to 4.9.1

distribution-upgrade-491.gz will:
upgrade the standard/dist (i.e., inventory code) to 4.9.1
upgrade the distribution (i.e., xwd code) to 4.9.1

distribution-install-491.gz will:
do a one-time install of tables, etc. for standard (i.e., inventory code) at 4.9.1
do a one-time install of tables, etc. for distribution at 4.9.1

manufacturing-upgrade-491.gz will:
upgrade the standard/dist (i.e., inventory code) to 4.9.1
upgrade the manufacturing code to 4.9.1

manufacturing-install-491.gz will:
do a one-time install of tables, etc. for standard (i.e., inventory code) at 4.9.1
do a one-time install of tables, etc. for manufacturing at 4.9.1

enterprise-upgrade-491.gz will:
upgrade the standard/dist (i.e., inventory code) to 4.9.1
upgrade the distribution (i.e., xwd code) to 4.9.1
upgrade the manufacturing code to 4.9.1

enterprise-install-491.gz will:
do a one-time install of tables, etc. for standard (i.e., inventory code) at 4.9.1
do a one-time install of tables, etc. for distribution at 4.9.1
do a one-time install of tables, etc. for manufacturing at 4.9.1

PLEASE NOTE: Other packages, such as Advanced Commissions and Fixed Assets, are currently remaining on their own release schedule and should be installed as before.

You can’t perform that action at this time.